
Redmine - Defect #34456

Fix Japanese translation for less_than_x_seconds and less_than_x_minutes

2020-12-15 06:15 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 4.2.0   
Description

The "以内" used in less_than_x_seconds etc. means "within" instead of "less than".

This has also been fixed in the i18n repository and I don't think it's appropriate. https://github.com/svenfuchs/rails-i18n/issues/374

We suggest replacing it with "未満" which means "less than" in Japanese.

Example where this word is used:

 ScreenShot_2020-12-15_14.00.39.png 

Associated revisions

Revision 20688 - 2020-12-24 05:59 - Go MAEDA

Fix Japanese translation for less_than_x_seconds and less_than_x_minutes (#34456).

Patch by Mizuki ISHIKAWA.

History

#1 - 2020-12-15 07:10 - Mizuki ISHIKAWA

I examined the terms with Mitsuyoshi Kawabata and Ko Nagase .

#2 - 2020-12-16 03:38 - Go MAEDA

- Subject changed from Change Japanese translation for less_than_x_seconds, less_than_x_minutes to Change Japanese translation for

less_than_x_seconds and less_than_x_minutes

- Target version set to 4.2.0

LGTM.

"以内", the current Japanese translation for "less than", is incorrect because "以内" means "less than or equal". The suggested new translation "未満" is a

very common word to express "less than" in Japanese.

#3 - 2020-12-24 06:00 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from Change Japanese translation for less_than_x_seconds and less_than_x_minutes to Fix Japanese translation for

less_than_x_seconds and less_than_x_minutes

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.
